import type { Employee } from '../../../entities/employee/model/types'

export function getEmployeeFullName(employee: Employee) {
  return [employee.lastName, employee.firstName, employee.middleName]
    .filter(Boolean)
    .join(' ')
}

export function getEmployeeRoleLabel(role: string) {
  if (role === 'ADMIN' || role === 'Admin') return 'Администратор'
  if (role === 'USER' || role === 'User') return 'Пользователь'

  return role
}
